#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <OS.h>

int main(int argc, char* argv[]) {
	int wait = 0;
	if(argc>1) wait = atol(argv[1]);
	bigtime_t t_old = 0;
	while(1) {
		bigtime_t t_new = system_time();
		if(t_new < t_old) {
			printf("PANIC: time goes backwards %d<%d\n", t_new, t_old);
			return -1;
		}
		t_old = t_new;
		if(wait) {
			printf("t=%d\n", t_new);
			usleep(wait);
		}
	}
}
